<?

	function proxy_url($proxy_url) {

		$proxy_name = _PROXYSERVER;
		$proxy_port = _PROXYPORT;
		$proxy_user = _PROXYUSER;
		$proxy_pass = _PROXYPASSWORD;
		$proxy_cont = '';

		$proxy_fp = fsockopen($proxy_name, $proxy_port);

		if (!$proxy_fp) {

			return false;

		}

		fputs($proxy_fp, "GET $proxy_url HTTP/1.0\r\nHost: $proxy_name\r\n");

		if (!empty($proxy_user) && !empty($proxy_pass)) {

			fputs($proxy_fp, "Proxy-Authorization: Basic " . base64_encode ("$proxy_user:$proxy_pass") . "\r\n\r\n");

		}

		while(!feof($proxy_fp)) {

			$proxy_cont .= fread($proxy_fp,4096);

		}

		fclose($proxy_fp);

		$proxy_cont = substr($proxy_cont, strpos($proxy_cont,"\r\n\r\n")+4);

		return $proxy_cont;

	}

	function unescape ($source) {

		$decodedStr = ""; 
		$pos = 0;
		$len = strlen ($source);

		while ($pos < $len) {

			$charAt = substr ($source, $pos, 1);

			if ($charAt == '%') {

				$pos++; 
				$charAt = substr ($source, $pos, 1);

				if ($charAt == 'u') {

					// we got a unicode character 
					$pos++;
					$unicodeHexVal = substr ($source, $pos, 4); 
					$unicode = hexdec ($unicodeHexVal); 
					$entity = "&#". $unicode . ';'; 
					$decodedStr .= utf8_encode ($entity); 
					$pos += 4;

				} else {

					// we have an escaped ascii character 
					$hexVal = substr ($source, $pos, 2); 
					$decodedStr .= chr (hexdec ($hexVal)); 
					$pos += 2;

				}

			} else {

				$decodedStr .= $charAt; 
				$pos++;

			}

		}

		return $decodedStr;

	}

	function convertstr($tstr) {
	
		$newstr = (unescape($tstr));
	
		for ($i = 0; $i < strlen($newstr); $i++) {

			$tmpchar = substr($newstr, $i, 1);
			$nnewstr .= chr(ord($tmpchar) - 1);

		}

		return (unescape($nnewstr));

	}

	function unjz($tmpcontents) {

		$pattern = '/jz\(\'/';
		$pattern1 = '/^jz\(\'/';

		if (preg_match($pattern, $tmpcontents)) {

			if (preg_match($pattern1, $tmpcontents)) {

				$tmpcontents = preg_replace('/jz\(\'/', '', $tmpcontents);
				$tmpcontents = preg_replace('/\'\);/', '', $tmpcontents);
				$contents .= convertstr($tmpcontents);

			} else {

				$len = strlen($tmpcontents);
				$pos = strpos($tmpcontents, 'jz(\'');
				$simple_str = substr($tmpcontents, 0, $pos);
				$encoded_str = substr($tmpcontents, $pos, $len);
				$encoded_str = preg_replace('/jz\(\'/', '', $encoded_str);
				$encoded_str = preg_replace('/\'\);/', '', $encoded_str);
				$contents .= convertstr($encoded_str);

			}

		} else {

			$contents .= $tmpcontents;

		}

		return $contents;

	}

?>
